VST 3 Examples VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Macros
audiounitconfig.h File Reference

## Macros
#define | kAUcomponentType 'aufx'
#define | kAUcomponentType1 aufx
#define | kAUcomponentSubType 'gav3'
#define | kAUcomponentSubType1 gav3
#define | kAUcomponentManufacturer 'Stgb'
#define | kAUcomponentManufacturer1 Stgb
#define | kAUcomponentDescription AUv3WrapperExtension
#define | kAUcomponentName Steinberg: AGainv3
#define | kAUcomponentTag Effects
#define | kAUcomponentVersion 65536
#define | kSupportedNumChannels 1122
#define | kAudioFileName "drumLoop"
#define | kAudioFileFormat "wav"
#define | kAUcomponentFlags 0
#define | kAUcomponentFlagsMask 0
#define | kAUapplicationDelegateClassName AppDelegate

## Macro Definition Documentation

## ◆ kAUcomponentType

#define kAUcomponentType 'aufx'

## ◆ kAUcomponentType1

#define kAUcomponentType1 aufx

## ◆ kAUcomponentSubType

#define kAUcomponentSubType 'gav3'

## ◆ kAUcomponentSubType1

#define kAUcomponentSubType1 gav3

## ◆ kAUcomponentManufacturer

#define kAUcomponentManufacturer 'Stgb'

## ◆ kAUcomponentManufacturer1

#define kAUcomponentManufacturer1 Stgb

## ◆ kAUcomponentDescription

#define kAUcomponentDescription AUv3WrapperExtension

## ◆ kAUcomponentName

#define kAUcomponentName Steinberg: AGainv3

## ◆ kAUcomponentTag

#define kAUcomponentTag Effects

## ◆ kAUcomponentVersion

#define kAUcomponentVersion 65536

## ◆ kSupportedNumChannels

#define kSupportedNumChannels 1122

## ◆ kAudioFileName

#define kAudioFileName "drumLoop"

## ◆ kAudioFileFormat

#define kAudioFileFormat "wav"

## ◆ kAUcomponentFlags

#define kAUcomponentFlags 0

## ◆ kAUcomponentFlagsMask

#define kAUcomponentFlagsMask 0

## ◆ kAUapplicationDelegateClassName

#define kAUapplicationDelegateClassName AppDelegate

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.